class ApplicationController < ActionController::Base
  protect_from_forgery

  def current_ability
    @current_ability ||= ::Ability.new(current_member)
  end

  # For #435
  rescue_from CanCan::AccessDenied do |exception|
    if request.env['HTTP_REFERER'].nil?
      redirection_target = main_app.root_url
    else
      redirection_target = :back
    end
    redirect_to redirection_target, :alert => exception.message
  end
end
