class SubscriptionsController < ApplicationController
  before_filter :authenticate_member!
  load_and_authorize_resource

  def create
    @member = Member.find(params[:member_id])
    @subscription = Subscription.new(params[:subscription])
    @subscription.member = @member
    respond_to do |format|
      if @subscription.save
        format.html  { redirect_to @member,
                                   :notice => I18n.t(:subscription_recorded) }
        format.json  { render :json => @subscription,
                              :status => :created, :location => [@member, @subscription] }
      else
        format.html  { render :action => "new" }
        format.json  { render :json => @subscription.errors,
                              :status => :unprocessable_entity }
      end
   end
  end
end
