class VpnServicesController < ApplicationController
  before_filter :authenticate_member!
  load_and_authorize_resource

  # GET /vpn_services
  # GET /vpn_services.json
  def index
    @vpn_services = VpnService.accessible_by(current_ability)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @vpn_services }
    end
  end

  # GET /vpn_services/1
  # GET /vpn_services/1.json
  def show
    @vpn_service = VpnService.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @vpn_service }
    end
  end

  # GET /vpn_services/new
  # GET /vpn_services/new.json
  def new
    @vpn_service = VpnService.new
    if !params[:member_id].nil?
      @vpn_service.member = Member.find(params[:member_id])
    end
    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @vpn_service }
    end
  end

  # GET /vpn_services/1/edit
  def edit
    @vpn_service = VpnService.find(params[:id])
  end

  # POST /vpn_services
  # POST /vpn_services.json
  def create
    @vpn_service = VpnService.new(params[:vpn_service])

    respond_to do |format|
      if @vpn_service.save
        format.html { redirect_to @vpn_service.member, :notice => I18n.t(:service_vpn_recorded) }
        format.json { render json: @vpn_service, status: :created, location: @vpn_service }
      else
        format.html { render action: "new" }
        format.json { render json: @vpn_service.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /vpn_services/1
  # PUT /vpn_services/1.json
  def update
    @vpn_service = VpnService.find(params[:id])

    respond_to do |format|
      if @vpn_service.update_attributes(params[:vpn_service])
        format.html { redirect_to @vpn_service, notice: I18n.t(:service_vpn_updated) }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @vpn_service.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /vpn_services/1
  # DELETE /vpn_services/1.json
  def destroy
    @vpn_service = VpnService.find(params[:id])
    @vpn_service.destroy

    respond_to do |format|
      format.html { redirect_to vpn_services_url }
      format.json { head :no_content }
    end
  end
end
