class Subscription < ActiveRecord::Base
  attr_accessible :paid_on, :amount

  belongs_to :member
  monetize :amount_cents, :allow_nil => true

  validates_presence_of :member
  validates_presence_of :paid_on
  validates_numericality_of :amount, :greater_than_or_equal_to => 15, :less_than_or_equal_to => 100000, :message => I18n.t(:amount_subscription_must_be_superior_15)

  def year
    paid_on.try(:year)
  end
end
