class AddPaymentDateToSubscription < ActiveRecord::Migration
  class Subscription < ActiveRecord::Base
  end
  def up
    add_column :subscriptions, :paid_on, :date
    Subscription.reset_column_information
    Subscription.all.each do |subscription|
      subscription.paid_on = Time.utc(subscription.year)
      subscription.save!
    end
    remove_column :subscriptions, :year
  end
  def down
    add_column :subscriptions, :year, :integer
    Subscription.reset_column_information
    Subscription.all.each do |subscription|
      subscription.year = subscription.paid_on.year
      subscription.save!
    end
    remove_column :subscriptions, :paid_on
  end
end
