# language: fr

Fonctionnalité: Enregistrement d'un nouvel abonnement VPN
  En tant qu'administrateur
  Je souhaite pouvoir enregistrer un nouveau compte VPN pour un membre.

Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif
    Et que la plage IP dédiée au réseau VPN est "10.255.6.64/27"

  @iteration_2 @iteration_abonnement @iteration_vpn
  Scénario: Enregistrement d'un nouveau compte VPN avec succès
    Etant donné que je visite la page d'enregistrement d'un nouvel abonnement VPN
    Lorsque j'enregistre un abonnement VPN pour Fabien pour 2 mois
    Alors je dois être redirigé vers la page du membre
    Et je dois voir une notification « Compte VPN enregistré. »
    Et le nouveau compte VPN doit apparaitre dans la liste des abonnements
    Et la date d'expiration de l'abonnement doit être dans 2 mois
    Et un mot de passe doit avoir été généré
    Et une adresse IPv4 "10.255.6.66" doit avoir été affectée automatiquement en fonction de la disponibilité dans la plage dédiée au VPN

  @iteration_abonnement @iteration_vpn
  Scénario: Génération du fichier d'export pour le radius
    Etant donné que je visite la page d'enregistrement d'un nouvel abonnement VPN
    Lorsque j'enregistre un abonnement VPN pour Fabien pour 2 mois
    Alors une ligne doit être ajoutée au fichier exporté vers le radius
    Et une configuration DNS par défaut doit être générée pour exporter vers le DNS

  @iteration_3
  Scénario: Débit du compte prépayé lors de l'enregistrement d'un nouveau compte VPN
    Etant donné que je visite la page d'enregistrement d'un nouvel abonnement VPN
    Et que Fabien a une balance de compte pré-payé égal à 10 euros
    Lorsque j'enregistre un abonnement VPN pour Fabien pour 2 mois avec un montant mensuel de 6 euros
    Alors je dois être redirigé vers la page du membre
    Et je dois voir une notification « Compte VPN enregistré. »
    Et je dois voir que la balance du compte pré-payé est égal à 4 euros.
