# language: fr

Fonctionnalité: Adhésion d'un membre
  En tant que membre du conseil d'administration
  Je souhaite pouvoir enregistrer un nouveau membre.

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que je visite la page d'enregistrement d'un nouveau membre

  @iteration_1
  Scénario: Adhésion d'un nouveau membre avec succès
    Lorsque j'enregistre un membre avec son nom, son adresse postale et son courriel
    Alors je dois être redirigé vers la page du nouveau membre
    Et je dois voir une notification « Nouveau membre enregistré·e »

  @iteration_1
  Scénario: Un nouveau membre doit apparaître dans la liste des membres
    Etant donné j'enregistre un membre avec son nom, son adresse postale et son courriel
    Lorsque je visite la liste des membres
    Alors le nouveau membre doit apparaitre dans la liste

  Scénario: Un mail de récapitulatif doit être envoyé au nouveau membre
    Lorsque j'enregistre un membre avec son nom, son adresse postale et son courriel
    Alors un mail doit être envoyé au nouveau membre avec son nom et son mot de passe

  @iteration_1 @bug_439
  Scénario: Enregistrement de la date d'adhésion
    Lorsque j'enregistre un membre avec son nom, son adresse postale et son courriel
    Alors je dois être redirigé vers la page du nouveau membre
    Et je dois voir comme date d'adhésion le jour, le mois et l'année de l'adhésion

  @iteration_1
  Scénario: Il manque l'adresse du nouveau membre
    Lorsque j'enregistre un membre sans son addresse
    Alors je dois voir « Il manque l'adresse. »

  @iteration_1
  Scénario: Il manque le nom du nouveau membre
    Lorsque j'enregistre un membre sans son nom
    Alors je dois voir « Il manque le nom. »

  @iteration_1
  Scénario: Il manque le courriel du nouveau membre
    Lorsque j'enregistre un membre sans son courriel
    Alors je dois voir « Il manque le courriel. »

  @iteration_1
  Scénario: Le courriel du nouveau membre existe déjà dans la base
    Lorsque j'enregistre un membre avec un courriel qui existe dans la base
    Alors je dois voir « n'est pas disponible »

