# language: fr

Fonctionnalité: Gestion des cotisations
  En tant que membre du conseil d'administration
  Je dois pouvoir gérer les cotisations des membres

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration

  @iteration_1
  Scénario: Pour un membre à jour de cotisation
    Etant donné un membre à jour de cotisation
    Lorsque je visite la page avec les informations de ce membre
    Alors je dois voir comme date de dernière cotisation l'année en cours
    Et cette date doit être de couleur verte
    Et je dois voir le jour, le mois et l'année de la cotisation

  @bug_443
  Scénario: Pour un membre en limite de cotisation
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Et que ce membre a payé sa dernière cotisation 364 jours avant
    Lorsque je visite la page avec les informations de ce membre
    Alors je dois voir le jour, le mois et l'année de la cotisation
    Et cette date doit être de couleur verte

  @iteration_1
  Scénario: Pour un membre n'étant pas à jour de cotisation
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Lorsque je visite la page avec les informations de ce membre
    Alors la date doit être de couleur rouge
    Et je dois voir le message « Cotisation expirée »
    Et je dois voir le jour, le mois et l'année de la cotisation

  @iteration_1
  Scénario: Formulaire d'enregistremement d'une cotisation
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Lorsque que je visite la page avec les informations de ce membre
    Alors je dois voir un formulaire pour saisir la nouvelle cotisation

  @iteration_1 @iteration_3
  Scénario: Enregistrement d'une cotisation
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Et que je visite la page avec les informations de ce membre
    Et que le membre a une balance de compte pré-payé égal à 18 euros.
    Lorsque je remplis la date et le montant de la cotisation à 15 euros.
    Alors je dois être redirigé vers la page avec les informations de ce membre
    Et je dois voir le message « Cotisation enregistrée »
    Et je voir que la balance du compte pré-payé est égal à 3 euros.

  @iteration_2
  Scénario: Montant de la cotisation insuffisant
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Et que je visite la page avec les informations de ce membre
    Lorsque je remplis un montant de la cotisation inférieur à 15 euros
    Alors je dois voir le message « La cotisation ne doit pas être inférieure à 15 euros. »

  @iteration_2
  Scénario: Affichage du montant de la dernière cotisation
    Etant donné un membre à jour de cotisation
    Lorsque je visite la page avec les informations de ce membre
    Alors je dois voir le montant de sa dernière cotisation

  @bug_341
  Scénario: Montant de la cotisation nul
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Et que je visite la page avec les informations de ce membre
    Lorsque je remplis un montant de la cotisation égal à zéro
    Alors je dois voir le message « La cotisation ne doit pas être inférieure à 15 euros. »

  @bug_341
  Scénario: Montant de la cotisation inférieur à zéro
    Etant donné un membre dont la dernière cotisation date de plus d'un an
    Et que je visite la page avec les informations de ce membre
    Lorsque je remplis un montant de la cotisation inférieur à zéro
    Alors je dois voir le message « La cotisation ne doit pas être inférieure à 15 euros. »
