# -*- coding: utf-8 -*-


Alors /^je dois voir le nombre total d'adhérents$/ do
  @node = find('.member_count')
  @node.should have_content(Member.count)
end

Given /(?:que )?je suis connectée? en tant que membre du conseil d'administration$/ do
  @board_member = FactoryGirl.create(:board_member)
  visit '/members/sign_in'
  fill_in 'Courriel', :with => @board_member.email
  fill_in 'Mot de passe', :with => @board_member.password
  click_button 'Se connecter'
end

Etantdonné /^que je suis membre de l'association$/ do
  @member = FactoryGirl.create(:member)
end

Etantdonné /^que je visite la page d'authentification$/ do
  visit '/'
end

Lorsque /^je m'authentifie avec mon adresse email et mon mot de passe$/ do
  fill_in 'Courriel', :with => @member.email
  fill_in 'Mot de passe', :with => @member.password
  click_button 'Se connecter'
end

Alors /^je dois être redirigé vers mon tableau de bord$/ do
  page.should have_content(@member.name)
end

Lorsque /^je m'authentifie avec un mauvais couple d'identifiants$/ do
  fill_in 'Courriel', :with => @member.email
  fill_in 'Mot de passe', :with => 'mauvais passe'
  click_button 'Se connecter'
end

Alors /^je dois voir un message d'erreur "(.*?)"$/ do |arg1|
  find('.alert-error').visible?
  find('#flash_alert').should have_content(arg1)
end

Etantdonné /^que je suis connectée? en tant que membre$/ do
  @member = FactoryGirl.create(:member)
  visit '/members/sign_in'
  fill_in 'Courriel', :with => @member.email
  fill_in 'Mot de passe', :with => @member.password
  click_button 'Se connecter'
end

Etantdonné /^que je suis connecté en tant que membre n'ayant pas encore payé sa cotisation$/ do
  @member = FactoryGirl.create(:member, :subscriptions_paid => false)
  visit '/members/sign_in'
  fill_in 'Courriel', :with => @member.email
  fill_in 'Mot de passe', :with => @member.password
  click_button 'Se connecter'
end

Lorsque /^je visite la page d'accueil de mon compte$/ do
  visit '/'
end

Alors /^je dois voir l'état de ma cotisation$/ do
  page.should have_content('État de ma cotisation : ')
  find('.label').visible?
end

