# -*- coding: utf-8 -*-

Given /^(?:que )?je visite la page d'enregistrement d'un nouveau membre$/ do
  visit '/members/new'
end

When /^je visite la liste des membres$/ do
  visit '/members'
end

When /^(?:que )?je visite la page avec la liste des membres actifs$/ do
  visit '/members'
end

When /^(?:que )?je visite la page avec les informations de ce membre$/ do
  visit "/members/#{@member.id}"
end

When /^(?:que )?je visite la page permettant de modifier les informations sur Fabien$/ do
  visit "/members/#{@fabien.id}/edit"
end

Then /^je dois être redirigé vers la page (?:du nouveau membre|avec les informations de ce membre)$/ do
  page.should have_content("Informations sur un membre")
end

Then /^je dois voir une notification « (.*) »$/ do |notice|
  find('#flash_notice').should have_content(notice)
end

Then /^je dois voir (?:le message )?« (.*) »$/ do |message|
  find('#main').should have_content(message)
end

Then /^je dois voir un formulaire pour saisir la nouvelle cotisation$/ do
  find('#main').should have_button('Enregistrer la cotisation')
end

Lorsque /^que je visite la page d'accueil de mon compte$/ do
  visit '/'
end

Lorsque /^je visite la page d'authentification$/ do
  visit '/members/sign_in'
end

Alors /^un menu doit être affiché avec le nom de l'organisation$/ do
  find('.navbar-inner .container').should have_link('Exemple FAI')
end

Alors /^un lien vers la page de connexion doit être présent dans le menu$/ do
  find('.nav').should have_link('Se connecter')
end

Alors /^un lien pour se déconnecter doit être présent dans le menu$/ do
  find('.nav.pull-right .dropdown .dropdown-menu').visible?.should_not be_true
  find('.nav.pull-right .dropdown .dropdown-toggle').click
  find('.nav.pull-right .dropdown .dropdown-menu').visible?.should be_true
  find('.nav.pull-right .dropdown .dropdown-menu').should have_link('Se déconnecter')
end

Alors /^un lien vers la page du tableau de bord doit être présent dans le menu$/ do
  find('.nav').should have_link('Tableau de bord')
end

Alors /^un lien vers la page de liste des membres doit être présent dans le menu$/ do
  find('.nav').should have_link('Membres')
end

Alors /^un lien vers la page de liste des VPN doit être présent dans le menu$/ do
  find('.nav').should have_link('Tunnels chiffrés')
end

#Alors /^un lien vers la page de liste des abonnements ADSL doit être présent dans le menu$/ do
#  pending #  find('.nav').should have_link('ADSL')
#end
#
#Alors /^un lien vers la page de liste des abonnements Wifi doit être présent dans le menu$/ do
#  pending #  find('.nav').should have_link('Wifi')
#end
#
#Alors /^un lien vers la page de liste des abonnements fibre doit être présent dans le menu$/ do
#  pending #  find('.nav').should have_link('fibre')
#end

Alors /^je dois voir un lien vers la page d'ajout d'un nouveau membre$/ do
  page.should have_link('Ajouter un nouveau membre')
end
