require 'rubygems'
require 'spork'

Spork.prefork do
  require 'cucumber/rails'

  Capybara.default_selector = :css
  Capybara.default_driver = :selenium

  ActionController::Base.allow_rescue = false

  begin
    DatabaseCleaner.strategy = :truncation
  rescue NameError
    raise "You need to add database_cleaner to your Gemfile (in the :test group) if you wish to use it."
  end

  Cucumber::Rails::Database.javascript_strategy = :truncation

  module Cucumber
    module Rails
      # Written by Amiel Martin on <https://gist.github.com/1990208>
      module CapybaraSelectDatesAndTimes
        def select_date(field, options = {})
          date = Date.parse(options[:with])
          selector = %Q{.//div[contains(./label, "#{field}")]}
          within(:xpath, selector) do
            find(:xpath, './/select[contains(@id, "_1i")]').find(:xpath, ::XPath::HTML.option(date.year.to_s)).select_option
            find(:xpath, './/select[contains(@id, "_2i")]').find(:xpath, ::XPath::HTML.option(I18n.localize(date, :format => '%B'))).select_option
            find(:xpath, './/select[contains(@id, "_3i")]').find(:xpath, ::XPath::HTML.option(date.day.to_s)).select_option
          end
        end

        def select_time(field, options = {})
          time = Time.parse(options[:with])
          selector = %Q{.//fieldset[contains(./legend, "#{field}")]}
          within(:xpath, selector) do
            find(:xpath, './/select[contains(@id, "_4i")]').find(:xpath, ::XPath::HTML.option(time.hour.to_s.rjust(2,'0'))).select_option
            find(:xpath, './/select[contains(@id, "_5i")]').find(:xpath, ::XPath::HTML.option(time.min.to_s.rjust(2,'0'))).select_option
          end
        end

        def select_datetime(field, options = {})
          select_date(field, options)
          select_time(field, options)
        end
      end
    end
  end
  World(Cucumber::Rails::CapybaraSelectDatesAndTimes)
end

Spork.each_run do
end

Before '@bug_432' do
  page.driver.browser.manage.window.resize_to(1024, 768)
end
