# Read about factories at https://github.com/thoughtbot/factory_girl

FactoryGirl.define do
  factory :member do
    name 'Test Member'
    email 'example@example.com'
    address 'Somewhere'
    password 'please'
    password_confirmation 'please'
    admin false
    joined_on Time.utc(2012, 03, 01)

    ignore do
      subscriptions_paid true
    end
    after(:create) do |member, evaluator|
      if evaluator.subscriptions_paid
        (evaluator.joined_on.year..Time.now.year).each do |year|
          FactoryGirl.create(:subscription, :member => member, :year => year)
        end
      end
    end
  end
  factory :fabien, :parent => :member do
    name 'Fabien Sansnom'
    email 'fabien@example.org'
    address 'Quelque part'
    password 'un-secret'
    password_confirmation 'un-secret'
    admin false
    joined_on Time.utc(2012, 04, 04)
  end
  factory :board_member, :parent => :member do
    name 'Grand Schtroumpf'
    email 'root@example.org'
    address 'Le champignon bleu'
    password 'wearegod'
    password_confirmation 'wearegod'
    admin true
    joined_on Time.utc(2012, 02, 18)
  end
end
