require 'spec_helper'
require 'cancan/matchers'

describe Ability do

  before(:each) do
    @network = FactoryGirl.create(:network)
  end

  subject { ability }
  let(:ability) { Ability.new(member) }

  context 'when given a member not in the board of directors' do
    let(:member) { FactoryGirl.create(:member) }
    let(:fabien) { FactoryGirl.create(:fabien) }
    it { should_not be_able_to(:manage, Member.new) }
    it { should_not be_able_to(:read, fabien) }
    it { should_not be_able_to(:read, FactoryGirl.create(:vpn_service, :member => fabien)) }
    it { should be_able_to(:read, member) }
  end

  context 'when given a member in the board of directors' do
    let(:member) { FactoryGirl.build(:member, :admin => true) }
    it { should be_able_to(:manage, Member.new) }
  end

end
